From 594cbfc5d80dbc1e4ca959e9a86122b3ca532e02 Mon Sep 17 00:00:00 2001
From: Erlang/OTP <otp@erlang.org>
Date: Mon, 17 Jun 2019 16:51:20 +0200
Subject: [PATCH 44/73] Prepare release

---
 erts/doc/src/notes.xml          | 28 ++++++++++++++++++++++++++++
 erts/vsn.mk                     |  2 +-
 lib/kernel/doc/src/notes.xml    | 18 ++++++++++++++++++
 lib/kernel/src/kernel.appup.src |  8 ++++++--
 lib/kernel/vsn.mk               |  2 +-
 lib/ssl/doc/src/notes.xml       | 30 ++++++++++++++++++++++++++++++
 lib/ssl/vsn.mk                  |  2 +-
 make/otp_version_tickets        | 15 ++++++---------
 8 files changed, 91 insertions(+), 14 deletions(-)

diff --git a/erts/vsn.mk b/erts/vsn.mk
index 53dce5e8157..40a9685e9d3 100644
--- a/erts/vsn.mk
+++ b/erts/vsn.mk
@@ -18,7 +18,7 @@
 # %CopyrightEnd%
 # 
 
-VSN = 10.4.2
+VSN = 10.4.3
 
 # Port number 4365 in 4.2
 # Port number 4366 in 4.3
diff --git a/lib/kernel/src/kernel.appup.src b/lib/kernel/src/kernel.appup.src
index cd0397a98c3..95853a7a8f8 100644
--- a/lib/kernel/src/kernel.appup.src
+++ b/lib/kernel/src/kernel.appup.src
@@ -38,7 +38,9 @@
   {<<"^6\\.2\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
   {<<"^6\\.3$">>,[restart_new_emulator]},
   {<<"^6\\.3\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
-  {<<"^6\\.3\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]}],
+  {<<"^6\\.3\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
+  {<<"^6\\.4$">>,[restart_new_emulator]},
+  {<<"^6\\.4\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]}],
  [{<<"^6\\.0$">>,[restart_new_emulator]},
   {<<"^6\\.0\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
   {<<"^6\\.0\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
@@ -50,4 +52,6 @@
   {<<"^6\\.2\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
   {<<"^6\\.3$">>,[restart_new_emulator]},
   {<<"^6\\.3\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
-  {<<"^6\\.3\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]}]}.
+  {<<"^6\\.3\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
+  {<<"^6\\.4$">>,[restart_new_emulator]},
+  {<<"^6\\.4\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]}]}.
diff --git a/lib/kernel/vsn.mk b/lib/kernel/vsn.mk
index 765e8901577..e5188aa9b50 100644
--- a/lib/kernel/vsn.mk
+++ b/lib/kernel/vsn.mk
@@ -1 +1 @@
-KERNEL_VSN = 6.4
+KERNEL_VSN = 6.4.1
diff --git a/lib/ssl/vsn.mk b/lib/ssl/vsn.mk
index 4e387fa403e..01dee392f53 100644
--- a/lib/ssl/vsn.mk
+++ b/lib/ssl/vsn.mk
@@ -1 +1 @@
-SSL_VSN = 9.3.2
+SSL_VSN = 9.3.3
diff --git a/make/otp_version_tickets b/make/otp_version_tickets
index e071f1a4307..fd9b36720a6 100644
--- a/make/otp_version_tickets
+++ b/make/otp_version_tickets
@@ -1,9 +1,6 @@
-OTP-15844
-OTP-15861
-OTP-15862
-OTP-15864
-OTP-15865
-OTP-15871
-OTP-15872
-OTP-15873
-OTP-15875
+OTP-15805
+OTP-15819
+OTP-15867
+OTP-15879
+OTP-15887
+OTP-15888

